Page MenuHomePhabricator

efl_ui_tab_pager: make this compatible with Efl.Pack_Linear test suite
ClosedPublic

Authored by bu5hm4n on Aug 23 2019, 10:50 AM.

Details

Summary

the testsuite now is happy with the behaviour in there. Additionally,
the internals are cleaned up, fields that are not used anymore are
deleted, and the logic maintaining them as well.

Depends on D9731

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/tab_bar_work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 13030
bu5hm4n created this revision.Aug 23 2019, 10:50 AM
bu5hm4n requested review of this revision.Aug 23 2019, 10:50 AM
bu5hm4n updated this revision to Diff 24586.Aug 28 2019, 11:43 PM
bu5hm4n edited the summary of this revision. (Show Details)

rebase and fix test cases

bu5hm4n updated this revision to Diff 24591.Aug 29 2019, 12:47 AM

remove tab_pager from the tests for now.

I do not know why, but there is a bug in the test suite fork code. If you run the testcase by itself, it passes, if you run in with all the other tests and CK_FORK=no, it work. If you run in with CK_FORK=yes, the test suite deadlocks after all the tests have been executed. I do not know why, maybe i can check that next week more deeply

woohyun accepted this revision.Aug 29 2019, 4:43 AM
This revision is now accepted and ready to land.Aug 29 2019, 4:43 AM
bu5hm4n updated this revision to Diff 24607.Aug 29 2019, 5:42 AM

irebased

Closed by commit rEFL7f94410a902a: efl_ui_tab_pager: make this compatible with Efl.Pack_Linear test suite (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 29 2019, 5:43 AM
This revision was automatically updated to reflect the committed changes.